Retrieve a MiniMax video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"status": "pending",
"outputs": {
"videos": [
"<string>"
],
"images": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}Video API
Retrieve a MiniMax video task
Retrieve normalized status and output URLs for a MiniMax H3 video task.
GET
/
contents
/
generations
/
tasks
/
{id}
Retrieve a MiniMax video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"status": "pending",
"outputs": {
"videos": [
"<string>"
],
"images": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Public task ID with a minimaxh3: or minimaxh3max: prefix.